Bug 44714 - xbuild fails to find VB.NET compiler
Summary: xbuild fails to find VB.NET compiler
Status: RESOLVED FIXED
Alias: None
Product: Tools
Classification: Mono
Component: xbuild (show other bugs)
Version: 4.6.0 (C8)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-24 15:41 UTC by Alex Earl
Modified: 2016-09-24 23:55 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Simple VB.NET project file (265 bytes, text/plain)
2016-09-24 15:41 UTC, Alex Earl
Details

Description Alex Earl 2016-09-24 15:41:54 UTC
Created attachment 17726 [details]
Simple VB.NET project file

When trying to build a VB.NET project, I get the following output:

Initial Items:
Input
	test.vb
Output
	test.exe
Building target "Build" in project "2.vbproj" ("2.vbproj").
	Target Build:
	Task "Vbc"
		Using task Vbc from Microsoft.Build.Tasks.Vbc, Microsoft.Build.Tasks.Core, Version=14.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
	Task "Vbc" execution -- FAILED
	Done building target "Build" in project "2.vbproj".-- FAILED
Done building target "Build" in project "2.vbproj" ("2.vbproj").
Done building project "2.vbproj".-- FAILED

Target performance summary:
    19.095 ms  Build                                                   1 calls

Tasks performance summary:
    10.267 ms  Vbc                                                     1 calls

Build FAILED.
	 0 Warning(s)



This is on a very simple VB.NET project.

I added some debug output to xbuild and found that the ToolPath was not being generated correctly, which caused the failure. When I changed the Vbc task's GenerateFullPathToTool to be like the Csc task's GenerateFullPathToTool the project build correctly. I will submit a PR for this change.
Comment 1 Alex Earl 2016-09-24 19:07:22 UTC
Submitted https://github.com/mono/mono/pull/3631
Comment 2 Alexander Köplinger [MSFT] 2016-09-24 23:55:50 UTC
I merged the PR, thank you!

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.